#
# Makefile for Sample Desk Accessory
#

CFLAGS=-z2000 -y100
AFLAGS=-s

.c.o:
	cc $(CFLAGS) $*.c

.asm.o:
	as $(AFLAGS) $*

Sample: Sample.code Sample.r
	Rgen Sample.r

Sample.code: Sample.o
	ln -an Sample -o Sample.code Sample.o -local -lc

Sample.o: Sample.c
	cc -z2000 -y100 -abu Sample.c
	as -s -ZAP Sample.asm
